Quantcast

OpenCV 2.4.5

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

OpenCV 2.4.5

xcancerberox
Hi,

I'm trying to use OpenCV whit python and is a lost cause.

My config is:
OE Build Configuration:
BB_VERSION        = "1.15.2"
TARGET_ARCH       = "arm"
TARGET_OS         = "linux-gnueabi"
MACHINE           = "overo"
DISTRO            = "poky"
DISTRO_VERSION    = "1.2.2"
TUNE_FEATURES     = "armv7a vfp neon cortexa8"
TARGET_FPU        = "vfp-neon"
meta
meta-yocto        = "denzil:6caa7d1d6c122d084ed01d1f5e1dae0bf259f854"
meta-oe           = "denzil:c0117f5ad7d1fe18d149bda426c7134ff24daae8"
meta-jumpnow      = "master:fe243d6932d6e0f4c1852ca435c18d2821baae95"

And the recipe for opencv modified from the meta-jumpnow layer:

http://pastebin.com/vY9sYy6i

Then if a search for cv.so or cv2.so inside of
"tmp/work/armv7a-vfp-neon-poky-linux-gnueabi/opencv-2.4.5-r0"  their
does not exist.

Any idea?

Thanks,
Joaquin de Andres

------------------------------------------------------------------------------
This SF.net email is sponsored by Windows:

Build for Windows Store.

http://p.sf.net/sfu/windows-dev2dev
_______________________________________________
gumstix-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gumstix-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OpenCV 2.4.5

zoso1234
From memory I would think to look in tmp/work/armv7a.../opencv-2.4.5/image/usr/lib for library files.
And I think they normally are: libopencv_xxx.so where xxx is core,highgui etc...

Not sure if that helps

good luck
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: OpenCV 2.4.5

xcancerberox
On Tue, Jun 25, 2013 at 11:33 AM, zoso1234 <[hidden email]> wrote:
> >From memory I would think to look in
> tmp/work/armv7a.../opencv-2.4.5/image/usr/lib for library files.
> And I think they normally are: libopencv_xxx.so where xxx is core,highgui
> etc...

Yes, and there are they but I need the cv.so and cv2.so that are used
by the python wrapper.
Any other idea?

Regards,
Joaquin de Andres

------------------------------------------------------------------------------
This SF.net email is sponsored by Windows:

Build for Windows Store.

http://p.sf.net/sfu/windows-dev2dev
_______________________________________________
gumstix-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gumstix-users
Loading...